Catalogue API
Update a catalogue item
Update a product or service in the current workspace catalogue.
PATCH
/v1/catalogue/items/{itemId}Request
Path, query, and JSON body fields accepted by this operation.
itemIdstring<uuid>requiredpathkind"product" | "service"bodyhandlestringbodymin length 1max length 120namestringbodymin length 1max length 160descriptionstring | nullbodymax length 5000referencestring | nullbodymin length 1max length 120serviceDurationMinutesinteger | nullbodymin 5max 1440status"draft" | "active" | "archived"body
Response
Successful responses use Dawn's data envelope.
dataCatalogueItemrequiredidstring<uuid>requiredworkspaceIdstring<uuid>requiredkind"product" | "service"requiredhandlestringrequiredmin length 1max length 120namestringrequiredmin length 1max length 160descriptionstring | nullrequiredmax length 5000referencestring | nullrequiredmin length 1max length 120serviceDurationMinutesinteger | nullrequiredmin 5max 1440status"draft" | "active" | "archived"requiredcreatedAtstring<date-time>requiredupdatedAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
404The catalogue item could not be found.409A catalogue item already uses this handle or reference.422The catalogue item is invalid.503The catalogue item could not be saved.
Last updated on